Package org.bukkit.material

# Class LongGrass

java.lang.Object
org.bukkit.material.MaterialData
org.bukkit.material.LongGrass

All Implemented Interfaces:
  `Cloneable`

@Deprecated public class LongGrass extends MaterialData
Deprecated.
all usage of MaterialData is deprecated and subject to removal. Use `BlockData`.
Represents the different types of long grasses.

## Constructor Summary

Constructors
Constructor
Description
`LongGrass()`
Deprecated.
`LongGrass(GrassSpecies species)`
Deprecated.
`LongGrass(Material type)`
Deprecated.
`LongGrass(Material type, byte data)`
Deprecated.
Magic value

## Method Summary

Modifier and Type
Method
Description
`LongGrass`
`clone()`
Deprecated.
`GrassSpecies`
`getSpecies()`
Deprecated.
Gets the current species of this grass
`void`
`setSpecies(GrassSpecies species)`
Deprecated.
Sets the species of this grass
`String`
`toString()`
Deprecated.

### Methods inherited from class org.bukkit.material.MaterialData

`equals, getData, getItemType, hashCode, setData, toItemStack, toItemStack`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LongGrass

public LongGrass()
Deprecated.

### LongGrass

public LongGrass(GrassSpecies species)
Deprecated.

### LongGrass

public LongGrass(Material type)
Deprecated.

### LongGrass

@Deprecated public LongGrass(Material type, byte data)
Deprecated.
Magic value

Parameters:
  `type` - the type
  `data` - the raw data value

## Method Details

### getSpecies

public GrassSpecies getSpecies()
Deprecated.
Gets the current species of this grass

Returns:
  GrassSpecies of this grass

### setSpecies

public void setSpecies(GrassSpecies species)
Deprecated.
Sets the species of this grass

Parameters:
  `species` - New species of this grass

### toString

public String toString()
Deprecated.

Overrides:
  `toString` in class `MaterialData`

### clone

public LongGrass clone()
Deprecated.

Overrides:
  `clone` in class `MaterialData`